/*
 * This file is generated by jOOQ.
 */
package com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.records;


import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.CommercialOffers;

import javax.annotation.Generated;

import org.jooq.Field;
import org.jooq.Record1;
import org.jooq.Record8;
import org.jooq.Row8;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.11.9"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class CommercialOffersRecord extends UpdatableRecordImpl<CommercialOffersRecord> implements Record8<Integer, String, String, String, String, String, String, String> {

    private static final long serialVersionUID = 1533302113;

    /**
     * Setter for <code>COMMERCIAL_OFFERS.ID_COMMERCIAL_OFFERS</code>.
     */
    public void setIdCommercialOffers(Integer value) {
        set(0, value);
    }

    /**
     * Getter for <code>COMMERCIAL_OFFERS.ID_COMMERCIAL_OFFERS</code>.
     */
    public Integer getIdCommercialOffers() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>COMMERCIAL_OFFERS.IDDSP</code>.
     */
    public void setIddsp(String value) {
        set(1, value);
    }

    /**
     * Getter for <code>COMMERCIAL_OFFERS.IDDSP</code>.
     */
    public String getIddsp() {
        return (String) get(1);
    }

    /**
     * Setter for <code>COMMERCIAL_OFFERS.ID_UTIILIZATION_TYPE</code>.
     */
    public void setIdUtiilizationType(String value) {
        set(2, value);
    }

    /**
     * Getter for <code>COMMERCIAL_OFFERS.ID_UTIILIZATION_TYPE</code>.
     */
    public String getIdUtiilizationType() {
        return (String) get(2);
    }

    /**
     * Setter for <code>COMMERCIAL_OFFERS.OFFERING</code>.
     */
    public void setOffering(String value) {
        set(3, value);
    }

    /**
     * Getter for <code>COMMERCIAL_OFFERS.OFFERING</code>.
     */
    public String getOffering() {
        return (String) get(3);
    }

    /**
     * Setter for <code>COMMERCIAL_OFFERS.CCID_SERVICE_TYPE_CODE</code>.
     */
    public void setCcidServiceTypeCode(String value) {
        set(4, value);
    }

    /**
     * Getter for <code>COMMERCIAL_OFFERS.CCID_SERVICE_TYPE_CODE</code>.
     */
    public String getCcidServiceTypeCode() {
        return (String) get(4);
    }

    /**
     * Setter for <code>COMMERCIAL_OFFERS.CCID_USE_TYPE_CODE</code>.
     */
    public void setCcidUseTypeCode(String value) {
        set(5, value);
    }

    /**
     * Getter for <code>COMMERCIAL_OFFERS.CCID_USE_TYPE_CODE</code>.
     */
    public String getCcidUseTypeCode() {
        return (String) get(5);
    }

    /**
     * Setter for <code>COMMERCIAL_OFFERS.CCID_APPLIED_TARIFF_CODE</code>.
     */
    public void setCcidAppliedTariffCode(String value) {
        set(6, value);
    }

    /**
     * Getter for <code>COMMERCIAL_OFFERS.CCID_APPLIED_TARIFF_CODE</code>.
     */
    public String getCcidAppliedTariffCode() {
        return (String) get(6);
    }

    /**
     * Setter for <code>COMMERCIAL_OFFERS.TRADING_BRAND</code>.
     */
    public void setTradingBrand(String value) {
        set(7, value);
    }

    /**
     * Getter for <code>COMMERCIAL_OFFERS.TRADING_BRAND</code>.
     */
    public String getTradingBrand() {
        return (String) get(7);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Record8 type implementation
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public Row8<Integer, String, String, String, String, String, String, String> fieldsRow() {
        return (Row8) super.fieldsRow();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Row8<Integer, String, String, String, String, String, String, String> valuesRow() {
        return (Row8) super.valuesRow();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Integer> field1() {
        return CommercialOffers.COMMERCIAL_OFFERS.ID_COMMERCIAL_OFFERS;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<String> field2() {
        return CommercialOffers.COMMERCIAL_OFFERS.IDDSP;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<String> field3() {
        return CommercialOffers.COMMERCIAL_OFFERS.ID_UTIILIZATION_TYPE;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<String> field4() {
        return CommercialOffers.COMMERCIAL_OFFERS.OFFERING;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<String> field5() {
        return CommercialOffers.COMMERCIAL_OFFERS.CCID_SERVICE_TYPE_CODE;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<String> field6() {
        return CommercialOffers.COMMERCIAL_OFFERS.CCID_USE_TYPE_CODE;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<String> field7() {
        return CommercialOffers.COMMERCIAL_OFFERS.CCID_APPLIED_TARIFF_CODE;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<String> field8() {
        return CommercialOffers.COMMERCIAL_OFFERS.TRADING_BRAND;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer component1() {
        return getIdCommercialOffers();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String component2() {
        return getIddsp();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String component3() {
        return getIdUtiilizationType();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String component4() {
        return getOffering();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String component5() {
        return getCcidServiceTypeCode();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String component6() {
        return getCcidUseTypeCode();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String component7() {
        return getCcidAppliedTariffCode();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String component8() {
        return getTradingBrand();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer value1() {
        return getIdCommercialOffers();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String value2() {
        return getIddsp();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String value3() {
        return getIdUtiilizationType();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String value4() {
        return getOffering();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String value5() {
        return getCcidServiceTypeCode();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String value6() {
        return getCcidUseTypeCode();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String value7() {
        return getCcidAppliedTariffCode();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String value8() {
        return getTradingBrand();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public CommercialOffersRecord value1(Integer value) {
        setIdCommercialOffers(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public CommercialOffersRecord value2(String value) {
        setIddsp(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public CommercialOffersRecord value3(String value) {
        setIdUtiilizationType(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public CommercialOffersRecord value4(String value) {
        setOffering(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public CommercialOffersRecord value5(String value) {
        setCcidServiceTypeCode(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public CommercialOffersRecord value6(String value) {
        setCcidUseTypeCode(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public CommercialOffersRecord value7(String value) {
        setCcidAppliedTariffCode(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public CommercialOffersRecord value8(String value) {
        setTradingBrand(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public CommercialOffersRecord values(Integer value1, String value2, String value3, String value4, String value5, String value6, String value7, String value8) {
        value1(value1);
        value2(value2);
        value3(value3);
        value4(value4);
        value5(value5);
        value6(value6);
        value7(value7);
        value8(value8);
        return this;
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached CommercialOffersRecord
     */
    public CommercialOffersRecord() {
        super(CommercialOffers.COMMERCIAL_OFFERS);
    }

    /**
     * Create a detached, initialised CommercialOffersRecord
     */
    public CommercialOffersRecord(Integer idCommercialOffers, String iddsp, String idUtiilizationType, String offering, String ccidServiceTypeCode, String ccidUseTypeCode, String ccidAppliedTariffCode, String tradingBrand) {
        super(CommercialOffers.COMMERCIAL_OFFERS);

        set(0, idCommercialOffers);
        set(1, iddsp);
        set(2, idUtiilizationType);
        set(3, offering);
        set(4, ccidServiceTypeCode);
        set(5, ccidUseTypeCode);
        set(6, ccidAppliedTariffCode);
        set(7, tradingBrand);
    }
}
